FREE_BOOTMEM_WITH_AC(9)

NAME
free_bootmem_with_active_regions - Call memblock_free_early_nid for each active range

SYNOPSIS

void free_bootmem_with_active_regions(int nid, unsigned long max_low_pfn);

ARGUMENTS

nid
    The node to free memory on. If MAX_NUMNODES, all nodes are freed.

max_low_pfn
    The highest PFN that will be passed to memblock_free_early_nid

DESCRIPTION

If an architecture guarantees that all ranges registered contain no holes and may be freed, this this function may be used instead of calling memblock_free_early_nid manually.

COPYRIGHT